import { Datasource } from '../datasource';
import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare class GithubRunnersDatasource extends Datasource {
    static readonly id = "github-runners";
    /**
     * Only add stable runners to the datasource. See datasource readme for details.
     */
    private static readonly releases;
    static isValidRunner(runnerName: string, runnerVersion: string): boolean;
    readonly defaultVersioning = "docker";
    constructor();
    getReleases({ packageName, }: GetReleasesConfig): Promise<ReleaseResult | null>;
}
